Manually set a lead's disposition
curl --request PATCH \
--url https://api.pineyard.ai/campaigns/{id}/contacts/{contactId}/disposition \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.pineyard.ai/campaigns/{id}/contacts/{contactId}/disposition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns/{id}/contacts/{contactId}/disposition"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"disposition": "<string>"
}Contacts
Manually set a lead's disposition
PATCH
/
campaigns
/
{id}
/
contacts
/
{contactId}
/
disposition
Manually set a lead's disposition
curl --request PATCH \
--url https://api.pineyard.ai/campaigns/{id}/contacts/{contactId}/disposition \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.pineyard.ai/campaigns/{id}/contacts/{contactId}/disposition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns/{id}/contacts/{contactId}/disposition"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"disposition": "<string>"
}Required scope:
campaigns.editAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Body
application/json
Response
OK

